#ifndef KWIDGETUTILS_H
#define KWIDGETUTILS_H

#include "kysdk-widgetutils_global.h"
namespace kdk
{
class KYSDKWIDGETUTILS_EXPORT KWidgetUtils
{
public:
    KWidgetUtils();

    /**
     * @brief 适配高分屏，需要在定义QApplication对象前，调用该函数
     *     KWidgetUtils::highDpiScaling();
     *     QApplication a(argc, argv);
     */
    static void highDpiScaling();


    /**
     * @brief 判断合成器是否开启
     *
     * @param 无
     *
     * @retval true 开启
     * @retval false 没开启
     */
    static bool checkCompositorRunning(void);
};
}

#endif // KWIDGETUTILS_H
